Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 617599 - 'other ports' selection of firewall config is not user-friendly
'other ports' selection of firewall config is not user-friendly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-firewall (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-23 10:11 EDT by Eric Blake
Modified: 2012-08-16 17:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:15:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Blake 2010-07-23 10:11:01 EDT
Description of problem:
I wanted to add a new firewall exception for synergy.  However, there are so many known services listed in the 'Port and Protocol' popup box, that the scroll bar is difficult to control via mouse without skipping over entries.  It would be nice if there was a search box to filter the list down to just ports corresponding to services with a particular substring in their name.

Additionally, when adding an entry, it is annoying that I have to add two separate entries for tcp and udp via two 'Add' sequences.  For manual entries, you could change the Protocol drop-down box to list 'tcp', 'udp', and 'tcp/udp' (the latter adding two iptables entries at the same time).  And for automatic entries, it would be nice if you could 'ctrl-click' multiple entries in the port listing, before hitting 'OK', to have all of those entries added at once.


Version-Release number of selected component (if applicable):
system-config-firewall-1.2.25-1.fc14.noarch

How reproducible:
always

Steps to Reproduce:
1. start system-config-firewall
2. highlight 'other ports'
3. click 'add'
4. Try to find 'vnc-server' using just the scroll-bar on the right.
5. Try to add both 'vnc-server' entries (tcp/5900 and udp/5900) at once.


Actual results:
In step 4, the scroll-bar is hard to use because there are so many entries in relation to the vertical height of the scroll-bar.  If you don't know what port number vnc-server prefers, you can sort by Service rather than by Port, and at least search alphabetically by name, but that doesn't reduce the sheer number of entries to scroll through.

In step 5, you can't add multiple ports in one go.  You have to add one at a time and re-click 'Add', and repeat the search process (for a known port) or re-enter a user-defined port.

Expected results:
Add a filter box, where I can type in a few characters (such as 'vnc'), and immediately have the list reduced to just the known service names with 'vnc' as a substring.  Then I won't even have to scroll through unrelated entries.

Make it easier to add multiple ports (or both tcp and udp of the same port number) at once.

Additional info:
Comment 1 Bug Zapper 2010-07-30 08:47:20 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2012-08-16 17:16:01 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.